/* You can add global styles to this file, and also import other style files */

html,
body {
  height: 100%;
  background: #0a1622;
  color: #ffffff;
}
body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

.mat-form-field-label {
  color: #ffffff !important;
}
.mat-option-text {
  color: #000000 !important;
}
.mat-form-field-underline {
  background-color: #ffffff !important;
}

@import "~@angular/material/theming";

@include mat-core();

$sg-app-primary: mat-palette($mat-indigo);
$sg-app-accent: mat-palette($mat-pink, A200, A100, A400);

$sg-app-theme: mat-light-theme($sg-app-primary, $sg-app-accent);

@function my-mat-light-theme-foreground($color) {
  @return (
    base: $color,
    divider: $white-87-opacity,
    dividers: $white-87-opacity,
    disabled: rgba($color, 0.38),
    disabled-button: rgba($color, 0.38),
    disabled-text: rgba($color, 0.38),
    hint-text: rgba($color, 1),
    secondary-text: rgba($color, 1),
    icon: rgba($color, 0.54),
    icons: rgba($color, 0.54),
    text: rgba($color, 1),
    slider-off: rgba($color, 0.26),
    slider-off-active: rgba($color, 0.38),
    slider-min: rgba($color, 0.38)
  );
}

$white-foreground: my-mat-light-theme-foreground(#ffffff);
$my-app-theme-custom: map-merge(
  $sg-app-theme,
  (
    foreground: $white-foreground,
  )
);

@include angular-material-theme($my-app-theme-custom);

.dialog-template .mat-dialog-container {
  background: #0a1622;
}
